Bug 82978 - [swrast] piglit glsl-uniform-initializer-6 regression
Summary: [swrast] piglit glsl-uniform-initializer-6 regression
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Tapani Pälli
QA Contact:
URL:
Whiteboard:
Keywords: bisected, regression
Depends on:
Blocks:
 
Reported: 2014-08-23 01:12 UTC by Vinson Lee
Modified: 2014-09-05 15:29 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2014-08-23 01:12:47 UTC
mesa: 12a679a6f61259d833b0d9098b9f6e2607611cc6 (master 10.4.0-devel)

$ ./bin/shader_runner tests/shaders/glsl-uniform-initializer-6.shader_test -auto
Probe color at (0,0)
  Expected: 0.000000 1.000000 0.000000 0.000000
  Observed: 0.000000 0.000000 0.000000 0.000000
PIGLIT: {"result": "fail" }


9e2e7c7dc0ff08a2066435dd519502340955bbd2 is the first bad commit
commit 9e2e7c7dc0ff08a2066435dd519502340955bbd2
Author: Matt Turner <mattst88@gmail.com>
Date:   Fri Aug 8 19:46:05 2014 -0700

    glsl: Use UniformBooleanTrue value for uniform initializers.
    
    Reviewed-by: Anuj Phogat <anuj.phogat@gmail.com>

:040000 040000 16675d631f977bec6d671bd8dc577b5372d93d71 05f53d9e7fa6cd90a955125380b647116d102087 M	src
bisect run success
Comment 1 Tapani Pälli 2014-08-25 13:24:24 UTC
I sent a fix for this to the mesa-dev list.
Comment 2 Tapani Pälli 2014-09-05 05:31:40 UTC
Marek's patch in the list fixes this.
Comment 3 Marek Olšák 2014-09-05 15:29:23 UTC
(In reply to comment #2)
> Marek's patch in the list fixes this.

The patch has been pushed as d67db73458c8d66861b97675660289a9555695. Closing.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.